/*
 *   Copyright (C) 2011-2016, Michael Anders, FH-Wedel
 *
 *  This file is part of the ECC-Implementation "Academic Signature"
 *  Maintainer: Michael Anders
 *
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


#ifndef GPG_ENC_DIALOG_H
#define GPG_ENC_DIALOG_H

//(*Headers(gpg_enc_dialog)
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/timer.h>
//*)

class gpg_enc_dialog: public wxDialog
{
	public:

		gpg_enc_dialog(wxWindow* parent,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~gpg_enc_dialog();

		//(*Declarations(gpg_enc_dialog)
		wxStaticText* StaticText2;
		wxButton* Button1;
		wxTextCtrl* pubkyid_ctrl;
		wxTextCtrl* signam_ctrl;
		wxStaticText* StaticText1;
		wxStaticText* StaticText3;
		wxButton* Button6;
		wxButton* Button5;
		wxButton* Button3;
		wxTextCtrl* fnam_ctrl;
		wxTextCtrl* kylabl_ctrl;
		wxStaticText* StaticText4;
		wxTimer Timer1;
		//*)

	protected:

		//(*Identifiers(gpg_enc_dialog)
		static const long ID_BUTTON1;
		static const long ID_STATICTEXT1;
		static const long ID_STATICTEXT3;
		static const long ID_TEXTCTRL2;
		static const long ID_BUTTON5;
		static const long ID_STATICTEXT2;
		static const long ID_TEXTCTRL1;
		static const long ID_STATICTEXT4;
		static const long ID_TEXTCTRL4;
		static const long ID_TEXTCTRL5;
		static const long ID_BUTTON6;
		static const long ID_BUTTON3;
		static const long ID_TIMER1;
		//*)

	private:

		//(*Handlers(gpg_enc_dialog)
		void OnMakeCipher(wxCommandEvent& event);
		void OnExit(wxCommandEvent& event);
		void OnSelPlain(wxCommandEvent& event);
		void OnSelect_public(wxCommandEvent& event);
		void OnTimer1Trigger(wxTimerEvent& event);
		//*)

        bool tellerror;


		DECLARE_EVENT_TABLE()
};

#endif
